years <- c(2015:2018)

for (seq in c("_t500", "")){
data_combined <- data.frame()
for (year in years) {
  
  file <- paste0(raw_data_path, "UO/Export_GUO_New_Alt_", year, seq, ".xlsx")
  data <- read_excel(file, sheet = 2, skip = 1)
  
  data <- data %>% filter(is.na(GUO_BVD_ID_NUMBER) == 0)
  
  data <- unique(data$GUO_BVD_ID_NUMBER) %>% as.data.frame()
  
  data$aux <- 1
  
  colnames(data) <- c("GUO_BVD_ID_NUMBER", paste0("in_", year))
  
  # Join data
  if (nrow(data_combined) == 0) {
    data_combined <- data
  } else {
    data_combined <- full_join(data_combined, data, by = "GUO_BVD_ID_NUMBER") 
  }
}

# zero if not in the data for a given year
data_combined[is.na(data_combined)] <- 0

#find total number of times it shows in the data
data_combined <- data_combined %>%
  mutate(n_total = rowSums(select(., 2:5)))

 fwrite(data_combined, paste0(int_path, "MNEs_", years[1], "_", years[4], seq, ".csv")) 
 }
  